Package org.apache.sling.cms.core.internal.filters

## Class EditIncludeFilter

- java.lang.Object
- - org.apache.sling.cms.core.internal.filters.EditIncludeFilter

All Implemented Interfaces:
  `javax.servlet.Filter`

    public class EditIncludeFilter
    extends Object
    implements javax.servlet.Filter

Filter for injecting the request attributes and markup to enable the Sling CMS editor.

### Field Summary

Fields
`static String` `ENABLED_ATTR_NAME`
`protected static String` `ENTRY_BASE`
`static String` `WRITE_DROP_TARGET_ATTR_NAME`

### Constructor Summary

Constructors
`EditIncludeFilter​(org.osgi.service.component.ComponentContext context, I18NProvider provider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `destroy()`
`void` `doFilter​(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void` `init​(javax.servlet.FilterConfig filterConfig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ENABLED_ATTR_NAME

    public static final String ENABLED_ATTR_NAME

See Also:
  Constant Field Values

#### WRITE_DROP_TARGET_ATTR_NAME

    public static final String WRITE_DROP_TARGET_ATTR_NAME

See Also:
  Constant Field Values

#### ENTRY_BASE

    protected static final String ENTRY_BASE

See Also:
  Constant Field Values

### Constructor Detail

#### EditIncludeFilter

    public EditIncludeFilter​(org.osgi.service.component.ComponentContext context,
                             I18NProvider provider)
                      throws IOException

Throws:
  `IOException`

### Method Detail

#### destroy

    public void destroy()

Specified by:
  `destroy` in interface `javax.servlet.Filter`

#### doFilter

    public void doFilter​(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

Specified by:
  `doFilter` in interface `javax.servlet.Filter`
Throws:
  `IOException`
  `javax.servlet.ServletException`

#### init

    public void init​(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

Specified by:
  `init` in interface `javax.servlet.Filter`
Throws:
  `javax.servlet.ServletException`